#ifndef _MP3_IO_
#define _MP3_IO_
/* I/O Name */
#define BHRCLK	0
#define BHWCLK	1
#define BHRE	2
#define STRD	3
#define	STWE	4

#define IOEPORT	portc
#define	IOEBIT	0
#define IOWPORT	portc
#define IOWBIT	1
#define IORPORT	portc
#define IORBIT	2
#define DATPORT portd
#define DATDIR trisd
#define ADRPORT	porte

#define ENABLE	1
#define DISABLE	0
#define IOCTRL(x) x ?  set_bit(IOEPORT,IOEBIT) : clear_bit(IOEPORT,IOEBIT)
#define IOW(x) x ?  clear_bit(IOWPORT,IOWBIT) : set_bit(IOWPORT,IOWBIT)

#define StartAD()	(adcon0=3)
#define ADBusy()	test_bit(adcon0,1)
#define GetAD()		(adresh & 0xfc)
#define ADTOLERANCE	5	//AD̋e덷

#include <system.h>
#include <string.h>
#include "iocnt.h"

//===============================================================================
//eI/O֐
//===============================================================================
extern void SelectIo(unsigned char adr);
extern unsigned char IoRead(unsigned char adr);
extern void IoWrite(unsigned char adr,unsigned char dat);
extern unsigned char ReadSwitch();
extern unsigned char CheckSwitch();
extern void SetLed(unsigned char led);

#endif	//_MP3_IO_
