#include <system.h>
#include <string.h>
#include "iocnt.h"

//===============================================================================
//eI/O֐
//===============================================================================
void SelectIo(unsigned char adr)
{
	//AhXI
	if(adr & 0x80){
		IOCTRL(DISABLE);
	}else{
		ADRPORT=adr;
		IOCTRL(ENABLE);
	}
}
//------------------------------------------------------------------------------
unsigned char IoRead(unsigned char adr)
{
	//I/O̓ǂݍ
	unsigned char dat;
	SelectIo(adr);
	DATDIR=0xff;
	dat=DATPORT;
	DATDIR=0;
	SelectIo(-1);
	return dat;
}
//------------------------------------------------------------------------------
void IoWrite(unsigned char adr,unsigned char dat)
{
	//I/Ȍ
	DATDIR=0;
	DATPORT=dat;
	SelectIo(adr);
	IOW(ENABLE);
	IOW(DISABLE);
	SelectIo(-1);
}
//------------------------------------------------------------------------------
unsigned char ReadSwitch()
{
	//XCb`̓ǂݍ
	return IoRead(STRD) & 0x0f;
}
//------------------------------------------------------------------------------
unsigned char CheckSwitch()
{
	//{^ꂽǂ`FbN
	//ReadSwitch́Ã݂XCb`̏ԂԂA
	//CheckSwitch́A{^ꂽƂ̂݃rbg
	static unsigned char osw=0;
	unsigned char sw,dsw;
	sw=ReadSwitch();
	dsw=sw ^ osw;
	osw=sw;
	sw=dsw & sw;
	return sw;
}
//------------------------------------------------------------------------------
void SetLed(unsigned char led)
{
	//LED̓_iled̑Ήrbg_j
	IoWrite(STWE,led);
}

