//===================================
//	Debug Message Functions
//===================================
#ifdef _SDEBUG_
#define dputc(x)  serialSendChar(x)
#define dhex(x)  serialSendHex(x); serialSendChar(' ')
#define dputs(x) serialSendString(x); serialSendString("\r\n")
#define new_line() serialSendString("\r\n")

#ifndef _serial.h
#include "serial.h"
#endif

#else
#define dputc(x)
#define dhex(x)
#define dputs(x)
#define new_line()
#endif

