// VAʐMCuwb_
#ifndef _serial.h
#define _serial.h

void serialInit(char rateScaler);
void serialSendChar(char value);
char serialReceiveChar();
void serialSendString(const char* text);
void serialSendString(rom char* text);
void serialSendHex(char n);
void serialSendDec(char n);
void serialSendBin(char n);
char serialIsReceive();
void serialSendShort(unsigned short n);
void serialSendLong(unsigned long n);

#define prints(x) serialSendString(x)
#define printb(x) serialSendBin(x)
#define printd(x) serialSendDec(x)
#define printh(x) serialSendHex(x)
#define printc(x) serialSendChar(x)
#define printw(x) serialSendShort(x)
#define printl(x) serialSendLong(x)

#define lf()	  serialSendChar('\n')
#define getc()	  serialReceiveChar()
#define kbhit()	  serialIsReceive()

//===================================
//	Serial Debug Functions
//===================================
#define putc(x)  serialSendChar(x)
#define hex(x)  serialSendHex(x); serialSendChar(' ')
#define UART_Init(m,x) serialInit(x)	//serialInit(129);//9600bpsŃVA|[g(20MHz)
#define puts(x) serialSendString(x); serialSendString("\r\n")

#endif
